<!--- Provide a general summary of your changes in the Title above -->
<!--

Thanks for your pull request!

Be sure to check out the Contributing Guidelines (link below) for a helpful checklist of steps to take while working on your pull request. A simplified version of that checklist is below. You can check off each item as you complete it.

Below the checklist is a pull request template. You can use this template as a guide for describing the changes in your pull request. Just follow the instructions in the comments.

Contributing Guidelines:
https://github.com/digitallinguistics/spec/blob/master/.github/CONTRIBUTING.md#contributing-code--changes-to-the-schemas

-->

## Checklist

[Contributing Guidelines](https://github.com/digitallinguistics/spec/blob/master/.github/CONTRIBUTING.md#contributing-code--changes-to-the-schemas)

- [ ] **[Open an issue](https://github.com/digitallinguistics/spec/issues/new)** if you haven't already
- [ ] **Fork the repository** and clone it to your computer
- [ ] **Create an issue branch** for the issue you are working on
- [ ] **Set up development environment** by installing [Node.js](https://nodejs.org/en/)
- [ ] **Install project dependencies** by running `npm install` on the command line
- [ ] **Update the documentation** (`README.md`, `CONTRIBUTING.md`, etc.) to reflect the changes you plan to make
- [ ] **Write or update (failing) tests** for the changes you are going to make
- [ ] **Make changes to the schemas or code**
- [ ] **Increment version numbers** of schemas that changed
- [ ] **Run the tests** using `npm test` on the command line, and fix issues that arise
- [ ] **Double check the documentation** to ensure it still reflects your changes
- [ ] **Pull the latest changes from the `master` branch** and resolve any conflicts that arise. Run the tests again.
- [ ] **Run the build script** by running `npm run build` on the command line and commit changes
- [ ] **Fill out this pull request template** and use an @ mention to let a reviewer know your pull request is ready
- [ ] **Wait for a reviewer to provide feedback**
- [ ] **Address any changes requested by the reviewer**
- [ ] **Celebrate!!!** :fireworks: Your work is complete! Thank you for your valuable contribution to DLx!

## Related Issue
<!-- This project only accepts pull requests related to open issues. -->
<!-- Please link to the issue here, or open an issue if you have not already. -->

## Description
<!-- in 1-3 sentences, please provide a high-level overview of what changes were made. -->
<!-- If appropriate, document your reasoning for why you made the changes the way you did. -->

## Changelog
<!-- What specific changes were made? List each change as a bullet point with a label. -->
<!-- See the issues tracker for a list of labels to use. -->
<!-- Some examples: -->

<!-- DOCS: add documentation about new app.sync() method -->
<!-- NEW: add app.sync() method to App object -->
<!-- CHANGE: update app.init() to call app.sync() -->

## Maintainer Checklist
_This section is for maintainers only_

- [ ] **Squash & merge PR into `master`**
    - Title: `LABEL: description (#000)`
    - Description
    - Changelog: `LABEL: description (closes #000)`
- [ ] **Delete issue branch**
- [ ] **Run upload script** from the `master` branch
- [ ] **Increment version number** if necessary
- [ ] **Create or update the release notes** for the release that this PR will be part of
